Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.impl
Class ControllerPortletInvocationContext

    java.lang.Object
      org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext
          org.jboss.portal.portlet.controller.impl.ControllerPortletInvocationContext

All Implemented Interfaces:
  PortletInvocationContext

    public class ControllerPortletInvocationContext

extends AbstractPortletInvocationContext

An implementation of the `PortletInvocationContext` interface that is related to a specific window.

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext
`markupInfo`

Constructor Summary
`ControllerPortletInvocationContext(org.jboss.portal.common.io.Serialization<PortletPageNavigationalState> serialization, javax.servlet.http.HttpServletRequest clientRequest, javax.servlet.http.HttpServletResponse clientResponse, java.lang.String windowId, PortletPageNavigationalState pageNavigationalState, org.jboss.portal.common.util.MarkupInfo markupInfo)`

Method Summary
`javax.servlet.http.HttpServletRequest` | `getClientRequest()` Return the client request.
`javax.servlet.http.HttpServletResponse` | `getClientResponse()` Return the client response.
`java.lang.String` | `getWindowId()`
`java.lang.String` | `renderURL(ContainerURL containerURL, URLFormat format)` Renders a container URL.

Methods inherited from class org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext
`encodeResourceURL, getMarkupInfo, renderURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerPortletInvocationContext

    public ControllerPortletInvocationContext(org.jboss.portal.common.io.Serialization<PortletPageNavigationalState> serialization,
                                              javax.servlet.http.HttpServletRequest clientRequest,
                                              javax.servlet.http.HttpServletResponse clientResponse,
                                              java.lang.String windowId,
                                              PortletPageNavigationalState pageNavigationalState,
                                              org.jboss.portal.common.util.MarkupInfo markupInfo)

Method Detail

### getWindowId

    public java.lang.String getWindowId()

### getClientRequest

    public javax.servlet.http.HttpServletRequest getClientRequest()
                                                           throws java.lang.IllegalStateException

  Description copied from class: `AbstractPortletInvocationContext`
  Return the client request.

  Specified by:
    `getClientRequest` in class `AbstractPortletInvocationContext`
  Returns:
    the client request
  Throws:
    `java.lang.IllegalStateException` - if the client response is not available

### getClientResponse

    public javax.servlet.http.HttpServletResponse getClientResponse()
                                                             throws java.lang.IllegalStateException

  Description copied from class: `AbstractPortletInvocationContext`
  Return the client response.

  Specified by:
    `getClientResponse` in class `AbstractPortletInvocationContext`
  Returns:
    the client response
  Throws:
    `java.lang.IllegalStateException` - if the client response is not available

### renderURL

    public java.lang.String renderURL(ContainerURL containerURL,
                                      URLFormat format)

  Description copied from interface: `PortletInvocationContext`
  Renders a container URL.

  Parameters:
    `containerURL` - the portlet url
    `format` - the url format
  Returns:
    the rendered url

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.